Get Points Balance

Retrieves points balance of a customer from a single program or all programs of the org. Points are aggregated for each Point Category - Main, delayed accrual, and external trigger based.

This is a light API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Resource Information

URIv2/customers/USERID/points/balance
HTTP methodGET
Pagination supported?NA
Rate limitNA
Batch supportNA

Important Note

ConditionfetchDataForAllPrograms = truefetchDataForAllPrograms = false
programId is passedReturns the customer's points balance across all programs.Returns the customer's points balance for the specified program.
programId is not passedReturns the customer's points balance across all programs.Returns the customer's points balance for the default program.

Guidelines

  • To retrieve a program-specific balance with fetchDataForAllPrograms = false, include programId.
  • To default to the primary program with fetchDataForAllPrograms = false, omit programId.

Response Parameters

ParameterDatatypeDescription
entityIdlongUnique ID of the customer.
entityTypeStringType of entity queried (always "CUSTOMER" for this endpoint).
totalPointsintTotal promised & current points.
mainPointsintThe points converted from promised points to current points. Points available to redeem now.
promisedPointsFloatPoints that are promised but not yet available for redemption.
promisedPointsBreakupobjBreak up details of promised points.
delayedAccrualPointsFloatPoints delayed due to accrual rules
{
    "entityId": 565039505,
    "entityType": "CUSTOMER",
    "totalPoints": 8500.000,
    "mainPoints": 8500.000,
    "promisedPoints": 0.000,
    "promisedPointsBreakup": {
        "delayedAccrualPoints": 0.000,
        "externalTriggerBasedPoints": 0.000
    },
    "warnings": []
}

API specific error code

Error CodeDescriptionReason
8015Customer not found for the given identifiersInvalid or unsupported customerId
1212Entity type passed is not validInvalid or unsupported entity type
1632group id/externalId/primary userId passed is not validInvalid group id/externalid/primary userid
Path Params
int64
required

Unique ID of the customer whose points balance needs to be fetched.

Query Params
int32

Unique ID of the loyalty program from which points balance needs to retrieve. If not passed, it shows the points balance in the default program.

string
enum

Pass CUSTOMER to fetch the individual customer’s points balance, FLEET to see group-level details. Default value is CUSTOMER.

Allowed:
boolean
Defaults to false

Pass true to fetch the sum of points balance from all the available programs of the org. Default value is false.

Headers
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json